/******************************************************************************

  Typing Trainer

  tpgt

  Copyright (C) 2004-2007 Sallai Andras
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  
*******************************************************************************/


#include <ncursesw/ncurses.h>

#include "about.h"
#include "gettext.h"


void about(void)
{
    WINDOW *frame, *window;
    int height=14, width=57, ybegin=5, xbegin=10;

    initscr();
    erase();
    refresh();
    start_color();
    curs_set(0);
    
    init_pair(1, COLOR_WHITE, COLOR_BLUE);
    frame = newwin(height+2, width+2, ybegin-1, xbegin-1);
    window = newwin(height, width, ybegin, xbegin);
    
    wbkgd(frame, COLOR_PAIR(1));
    wbkgd(window, COLOR_PAIR(1));
    box(frame, 0, 0);
    
    wprintw(window, "\n"); 
    mvwprintw(window, 2, 16,_("TpgT - Typing Trainer"));
    mvwprintw(window, 3, 18,_("Version: %s"), VERSION);
    mvwprintw(window, 6, 8,_("Copyright (C) 2004-2007 Andras Sallai")); 
    mvwprintw(window, 7, 8,_("mailto: sallaia at freemail dot hu"));
    mvwprintw(window, 8, 8,_("Licence: GNU GPL version 2"));
    mvwprintw(window, 10, 8,_("Credit: Peter Szabo for pts patch!"));    
//    mvwprintw(window, 11, 8, "Helpers: ");

    wrefresh(frame);
    wrefresh(window);
    
    getch();

    delwin(window);
    delwin(frame);

    clear();
    refresh();
    curs_set(1);
    endwin();

}
