/******************************************************************************

  Typing Trainer

  tpgt

  Copyright (C) 2004-2007 Sallai Andras
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  
*******************************************************************************/



#include "help.h"
#include <ncursesw/ncurses.h>
#include "gettext.h"

void help()
{
    WINDOW *swindow;

    initscr();
    erase();
    refresh();
    start_color();

    curs_set(0);
        
    swindow = newwin(25, 80, 0, 0);
    wrefresh(swindow);
    init_pair(1, COLOR_WHITE, COLOR_BLUE);
    wbkgd(swindow, COLOR_PAIR(1));
    box(swindow, 0, 0);    
    
    mvwaddstr(swindow, 2, 2, _("Put your hand on the keyboard!"));
    mvwaddstr(swindow, 4, 2, _("Left hand: the first finger on \"f\" key, the middle finger on \"d\" key,"));
    mvwaddstr(swindow, 5, 2, _("the ring finger on \"s\" key and the little finger on \"a\" key."));
    mvwaddstr(swindow, 6, 2, _("Right hand: the first finger on \"j\" key, the middle finger on \"k\" key,"));
    mvwaddstr(swindow, 7, 2, _("the ring finger on \"l\" key and the little finger on \";\" key."));
    mvwaddstr(swindow, 8, 2, _("Both your hand: thumb on the space key."));
    mvwaddstr(swindow, 10, 2, _("Don't you look at the keyboard! Never! Look at the display!"));
    mvwaddstr(swindow, 12, 2, _("Exercise one hour every day! Try again all lesson!"));
    mvwaddstr(swindow, 14, 2, _("You can configure that what language to load. But the keyboard you need to"));
    mvwaddstr(swindow, 15, 2, _("configure in system, for example on Debian GNU/Linux: \"loadkeys us\" The"));
    mvwaddstr(swindow, 16, 2, _("interface language of tpgt you can configure in system too. For example:"));	
    mvwaddstr(swindow, 17, 2, _("\"export LANG=hu_HU\""));
    
    mvwaddstr(swindow, 23, 34, _("[ Ok ]"));
    wrefresh(swindow);
    
    getch();

    delwin(swindow);

    clear();
    refresh();    
    curs_set(1);
    endwin();
}

