/******************************************************************************

  Typing Trainer

  tpgt

  Copyright (C) 2004-2007 Sallai Andras
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  
*******************************************************************************/

#include <ncursesw/ncurses.h>
#include <locale.h>
#include <stdlib.h>

#include "lesmenu.h"
#include "gettext.h"
#include "menus.h"
#include "lesson.h"

void beginer(void);
void intermediate(void);
void advanced(void);


void lessons(void)
{

    int elected;
    struct mcolor_s bcolor = {COLOR_WHITE, COLOR_BLUE, COLOR_BLACK, COLOR_WHITE};
    int x = 28;
    int y = 8;
    int vege = 0;
    int begin = 1;
    char *menuitem[7];
    int i, menunum = 4;

    
    
    for (i = 0; i < menunum; i++)
	menuitem[i] = (char *) calloc(40, sizeof(char));

    strcpy(menuitem[0], _(" Beginer "));
    strcpy(menuitem[1], _(" Intermediate "));
    strcpy(menuitem[2], _(" Advanced "));
    strcpy(menuitem[3], _(" Main menu "));
    menuitem[4] = NULL;

    

    initscr();
    
    

    while(!vege)
    {
        clear();
	refresh();
    
	elected = menu_s(menuitem, x, y, begin, 1, bcolor, COLOR_WHITE);

	begin = elected;

	switch (elected)
	{
	    case 1 : beginer();
		   break;
	    case 2 : intermediate();
		   break;
	    case 3 : advanced();
		   break;
	    default : vege = 1;
	} /* switch */

    }/* while(1) */
    
    endwin();
}/* lessons() */


void beginer(void)
{
    int elected;
    char *menuitem[18];
    struct mcolor_s szin = {COLOR_WHITE, COLOR_BLUE, COLOR_BLACK, COLOR_WHITE};
    int x = 25;
    int y = 3;
    int vege = 0;
    int begin = 1;
    int i, menunum = 16;

    
    
    for (i = 0; i < menunum; i++)
	menuitem[i] = (char *) calloc(40, sizeof(char));
    
    strcpy(menuitem[0], _(" Lesson  1 "));
    strcpy(menuitem[1], _(" Lesson  2 "));
    strcpy(menuitem[2], _(" Lesson  3 "));
    strcpy(menuitem[3], _(" Lesson  4 "));
    strcpy(menuitem[4], _(" Lesson  5 "));
    strcpy(menuitem[5], _(" Lesson  6 "));
    strcpy(menuitem[6], _(" Lesson  7 "));
    strcpy(menuitem[7], _(" Lesson  8 "));
    strcpy(menuitem[8], _(" Lesson  9 "));
    strcpy(menuitem[9], _(" Lesson 10 "));
    strcpy(menuitem[10], _(" Lesson 11 "));
    strcpy(menuitem[11], _(" Lesson 12 "));
    strcpy(menuitem[12], _(" Lesson 13 "));
    strcpy(menuitem[13], _(" Lesson 14 "));
    strcpy(menuitem[14], _(" Previous menu "));
    menuitem[15] = NULL;

    initscr();

    while(!vege)
    {

        clear();
	refresh();

	elected = menu_s(menuitem, x, y, begin, 1, szin, COLOR_WHITE);
	
	begin = elected;

	switch (elected)
	{
	    case 1 : lesson(1);
		    break;
	    case 2 : lesson(2);
		    break;
	    case 3 : lesson(3);
		    break;
	    case 4 : lesson(4);
		    break;
	    case 5 : lesson(5);
		    break;
	    case 6 : lesson(6);
		    break;
	    case 7 : lesson(7);
		    break;
	    case 8 : lesson(8);
		    break;
	    case 9 : lesson(9);
		    break;
	    case 10 : lesson(10);
		    break;
	    case 11 : lesson(11);
		    break;
	    case 12 : lesson(12);
		    break;
	    case 13 : lesson(13);
		    break;
	    case 14 : lesson(14);
		    break;
	    default : vege = 1;
	} /* switch */

    }/* while(1) */
    
    endwin();

}



void intermediate(void)
{

    int elected;
    char *menuitem[18];
    struct mcolor_s szin = {COLOR_WHITE, COLOR_BLUE, COLOR_BLACK, COLOR_WHITE};
    int x = 25;
    int y = 3;
    int vege = 0;
    int begin = 1;
    int i, menunum = 16;
    
    for (i = 0; i < menunum; i++)
	menuitem[i] = (char *) calloc(40, sizeof(char));
    
    strcpy(menuitem[0], _(" Lesson 15 "));
    strcpy(menuitem[1], _(" Lesson 16 "));
    strcpy(menuitem[2], _(" Lesson 17 "));
    strcpy(menuitem[3], _(" Lesson 18 "));
    strcpy(menuitem[4], _(" Lesson 19 "));
    strcpy(menuitem[5], _(" Lesson 20 "));
    strcpy(menuitem[6], _(" Lesson 21 "));
    strcpy(menuitem[7], _(" Lesson 22 "));
    strcpy(menuitem[8], _(" Lesson 23 "));
    strcpy(menuitem[9], _(" Lesson 24 "));
    strcpy(menuitem[10], _(" Lesson 25 "));
    strcpy(menuitem[11], _(" Lesson 26 "));
    strcpy(menuitem[12], _(" Lesson 27 "));
    strcpy(menuitem[13], _(" Lesson 28 "));
    strcpy(menuitem[14], _(" Previous menu "));
    menuitem[15] = NULL;

    

    initscr();
    

    while(!vege)
    {

        clear();
	refresh();

	elected = menu_s(menuitem, x, y, begin, 1, szin, COLOR_WHITE);
	
	begin = elected;
	/* Intermediate */
	switch (elected)
	{
	    case 1 : lesson(15);
		    break;
	    case 2 : lesson(16);
		    break;
	    case 3 : lesson(17);
		    break;
	    case 4 : lesson(18);
		    break;
	    case 5 : lesson(19);
		    break;
	    case 6 : lesson(20);
		    break;
	    case 7 : lesson(21);
		    break;
	    case 8 : lesson(22);
		    break;
	    case 9 : lesson(23);
		    break;
	    case 10 : lesson(24);
		    break;
	    case 11 : lesson(25);
		    break;
	    case 12 : lesson(26);
		    break;
	    case 13 : lesson(27);
		    break;
	    case 14 : lesson(28);
		    break;
	    default : vege = 1;
	} /* switch */

    }/* while(1) */
    
    endwin();


}


void advanced(void)
{
    int elected;
    char *menuitem[16];
    struct mcolor_s szin = {COLOR_WHITE, COLOR_BLUE, COLOR_BLACK, COLOR_WHITE};
    int x = 15;
    int y = 3;
    int vege = 0;
    int begin = 1;
    int i, menunum = 16;
    
    
    for (i = 0; i < menunum; i++)
	menuitem[i] = (char *) calloc(40, sizeof(char));
    
    strcpy(menuitem[0],  _(" Lesson 29 Numbers 1 "));
    strcpy(menuitem[1],  _(" Lesson 30 Numbers 2 "));
    strcpy(menuitem[2],  _(" Lesson 31 Numbers 3 "));
    strcpy(menuitem[3],  _(" Lesson 32 Numbers 4 "));
    strcpy(menuitem[4],  _(" Lesson 33 Numbers 5 "));
    strcpy(menuitem[5],  _(" Lesson 34 Special character 1 "));
    strcpy(menuitem[6],  _(" Lesson 35 Special character 2 "));
    strcpy(menuitem[7],  _(" Lesson 36 Special character 3 "));
    strcpy(menuitem[8],  _(" Lesson 37 Special character 4 "));
    strcpy(menuitem[9],  _(" Lesson 38 Special character 5 []$ "));
    strcpy(menuitem[10], _(" Lesson 39 Special character 6 @{} "));
    strcpy(menuitem[11], _(" Lesson 40 Special character 7 *`~ "));
    strcpy(menuitem[12], _(" Lesson 41 Special character 8 ^#& "));
    strcpy(menuitem[13], _(" Lesson 42 Special character 9 <>; "));
    strcpy(menuitem[14], _(" Previous menu "));
    menuitem[15] = NULL;

    initscr();

    while(!vege)
    {

        clear();
	refresh();

	elected = menu_s(menuitem, x, y, begin, 1, szin, COLOR_WHITE);
	
	begin = elected;
	/* Advanced */
	switch (elected)
	{
	    case 1 : lesson(29);
		    break;
	    case 2 : lesson(30);
		    break;
	    case 3 : lesson(31);
		    break;
	    case 4 : lesson(32);
		    break;
	    case 5 : lesson(33);
		    break;
	    case 6 : lesson(34);
		    break;
	    case 7 : lesson(35);
		    break;
	    case 8 : lesson(36);
		    break;
	    case 9 : lesson(37);
		    break;
	    case 10 : lesson(38);
		    break;
	    case 11 : lesson(39);
		    break;
	    case 12 : lesson(40);
		    break;
	    case 13 : lesson(41);
		    break;
	    case 14 : lesson(42);
		    break;
	    default : vege = 1;
	} /* switch */

    }/* while(1) */
    
    endwin();

}

