/******************************************************************************

  Typing Trainer

  tpgt

  Copyright (C) 2004-2007 Sallai Andras
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  
*******************************************************************************/


//#define DEBUG

#include <locale.h>
#include <ncursesw/ncurses.h>
#include <stdlib.h> /* free() */
//#include "menus.h"
#include "lesmenu.h"
#include "about.h"
#include "options.h"
#include "help.h"
#include "quit.h"
#include "gettext.h"
#include "checkrc.h"
#include "head.h"
#include "menus.h"

int main(int argc, char**argv) {

    int elected;

    struct mcolor_s colors = {COLOR_WHITE, COLOR_BLUE, COLOR_BLACK, COLOR_WHITE};
    int x = 28;
    int y = 8;
    int begin = 1;
    int menunum;

    (void)argc; (void)argv;

    /**** pts ****/
    /* bindtextdomain() with the proper dir */
    { char* dirs[]= {
        /* test existence of this file, pass this to bindtextdomain() */
        "/usr/local/tpgt/locale/hu/LC_MESSAGES/tpgt.mo", "/usr/local/tpgt/locale/",
        "/usr/share/locale/hu/LC_MESSAGES/tpgt.mo", "/usr/share/locale/",
	"po/hu/LC_MESSAGES/tpgt.mo", "po/",
	"../po/hu/LC_MESSAGES/tpgt.mo", "../po/",
	NULL, NULL,
      };
      char **p, *testfn, *polocate=NULL;
      FILE *tmpf;
      for (p=dirs; *p!=NULL; p+=2) {
        testfn=p[0]; polocate=p[1];
	if (NULL!=(tmpf=fopen(testfn, "rb"))) {
	  fclose(tmpf);
	  break;
	}
	polocate=NULL;
      }
      if (polocate!=NULL) bindtextdomain("tpgt", polocate);
    }	


#ifndef DEBUG
    setlocale(LC_ALL, "");

    /**** pts ****/
    { char const *ui_lang=get_value_from_rc("ui_lang", NULL);
      if (ui_lang!=NULL) {
        if (ui_lang[0]!='\0') setlocale(LC_MESSAGES, ui_lang);
	free((void*)ui_lang);
      }
    }
#else
    setlocale(LC_ALL, "en_US");
#endif
   
    textdomain("tpgt");

    menunum = 5;  // Menu numbers  

    char *menuitem[] = {
	_(" Lessons "),
	_(" Options "),
	_(" Help "),
	_(" About "),
	_(" Quit "),
	NULL
    };

/*
    char *menuitem[7]; 

    for (i = 0; i < menunum; i++)
	menuitem[i] = (char *) calloc(40, sizeof(char));

    strcpy(menuitem[0], _(" Lessons "));
    strcpy(menuitem[1], _(" Options "));    
    strcpy(menuitem[2], _(" Help "));
    strcpy(menuitem[3], _(" About "));    
    strcpy(menuitem[4], _(" Quit "));
    menuitem[5] = NULL;
*/

 

    check_tpgtrc();


    initscr();

    while(1)
    {
	clear();
	refresh();
	head();

	elected = menu_s(menuitem, x, y, begin, 1, colors, COLOR_WHITE);

	begin = elected;

	switch (elected)
	{
	    case 1 : lessons();
		    break;
	    case 2 : options();
		    break;
	    case 3 : help();
		   break;
	    case 4 : about();
		   break;
	    default : quit();
	} /* switch */
    }/* while */

    endwin();

    return 0;
} /* main() */

