
/****************************************************************************
  Typing Trainer

  tpgt

  Copyright (C) 2002-2007 Sallai Andras
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


  
  
*****************************************************************************/


#include <stdlib.h>

#include "menus.h"
#include "ustrlen.h"

int msize (char *fac[])
{
    int i, end = 0;
    int bulk = 0;
    
    for (i = 0; !end; i++)
    {
	if (fac[i] == NULL) end = 1;
        bulk += 1;
    }
    return(bulk);
}


static int mwidth(char *bulk[])
{
    int menuwidth=0, i;
  
    for (i = 0; bulk[i] != NULL; i++)
	if(menuwidth < ustrlen(bulk[i])) 
	    menuwidth = ustrlen(bulk[i]);

    return(menuwidth);
}




void mshadow(char *bulk[], int x, int y, int mcolor)
{
    WINDOW *mshadow_win;
    mshadow_win = newwin(msize(bulk)+1, mwidth(bulk)+2, y + 1, x + 1);

    wclear(mshadow_win);
    wrefresh(mshadow_win);
    
    init_pair(3, mcolor, mcolor);      

    wattron(mshadow_win, COLOR_PAIR(3));
    
    box(mshadow_win, 0, 0);
    
    wrefresh(mshadow_win);
    
}




int menu_s(char *bulk[], int x, int y, ...)
{

    ITEM **own_menupont;
    int c, i;
    MENU *own_menu;
    int n_possibility, elected = 1;
    ITEM *current;
    WINDOW *menu_win;
    int starting, mframe_van = 0;
    va_list m;
    struct mcolor_s mcolor;
    int mshadow_mcolor;

    va_start(m, y);
    starting = va_arg(m, int);
    mframe_van = va_arg(m, int);
    mcolor = va_arg(m, struct mcolor_s);
    mshadow_mcolor = va_arg(m, int);
    va_end(m);

    
   
    initscr();
    cbreak();
    noecho();
    curs_set(0);
    refresh();
    start_color();
    keypad(stdscr, TRUE);

    if (starting > msize(bulk) || starting < 1)
        starting = 1;  
    elected = starting;	
 
    n_possibility = msize(bulk); 

    menu_win = newwin(msize(bulk)+1, mwidth(bulk)+2, y, x);
    keypad(menu_win, TRUE);

    if ((mshadow_mcolor >= 0) && (mshadow_mcolor <= 7)) 
	mshadow(bulk, x, y, mshadow_mcolor);



    own_menupont = (ITEM **) calloc(n_possibility +1, sizeof(ITEM *));
 
    for (i = 0; i < n_possibility; ++i)
        own_menupont[i] = new_item(bulk[i],"");

    own_menu = new_menu((ITEM **)own_menupont);

    set_menu_win(own_menu, menu_win);
    set_menu_sub(own_menu, derwin(menu_win, msize(bulk), 
         mwidth(bulk), 1, 1));
    

    if (mcolor.v_mchar > -1 && mcolor.v_mchar < 8 &&
        mcolor.v_mbg > -1 && mcolor.v_mbg < 8 &&
        mcolor.n_mchar > -1 && mcolor.n_mchar < 8 &&
        mcolor.n_mbg > -1 && mcolor.n_mbg < 8)
    {
        init_pair(1, mcolor.n_mchar, mcolor.n_mbg);
        init_pair(2, mcolor.v_mchar, mcolor.v_mbg);      
    }
    else
    {
        init_pair(1, COLOR_BLACK, COLOR_WHITE);      
        init_pair(2, COLOR_WHITE, COLOR_BLACK);
    }

    wattron(menu_win, COLOR_PAIR(2));
    if (mframe_van == 1)	box(menu_win, 0, 0);

    set_menu_fore(own_menu, COLOR_PAIR(1));
    set_menu_back(own_menu, COLOR_PAIR(2));
    set_menu_grey(own_menu, COLOR_PAIR(2));

    /*  Before menu item what vill to show. Default '-' */
    set_menu_mark(own_menu,"");

    post_menu(own_menu);
    wrefresh(menu_win);

    set_current_item(own_menu, own_menupont[starting - 1]);
    current = current_item(own_menu);
    
    while((c = wgetch(menu_win)) != 27)
    {
    	switch(c)
	{	 
	    case KEY_DOWN: if (own_menupont[msize(bulk) - 2] == current) 
	                       menu_driver(own_menu, REQ_FIRST_ITEM);
			   else
			      menu_driver(own_menu, REQ_DOWN_ITEM);
	        	   break;
	    case KEY_UP:   if (own_menupont[0] == current)
	                       menu_driver(own_menu, REQ_LAST_ITEM);
			   else
	                       menu_driver(own_menu, REQ_UP_ITEM);
	    		   break;
	    case KEY_HOME: menu_driver(own_menu, REQ_FIRST_ITEM);
	    		   break;
	    case KEY_END:  menu_driver(own_menu, REQ_LAST_ITEM);
	    		   break;

	}
	if (c == 10) break;
	if (c == KEY_F(12)) quit();
	current = current_item(own_menu);
    }

    /* We count wich the elected  */
    elected = item_index(current) + 1;

    if (c == 27) elected = 0;
  
    /* Disengage the memory */
    free_item(own_menupont[0]);
    free_item(own_menupont[1]);
    free_menu(own_menu);

    
    curs_set(1);
    endwin();

    return(elected);
 
}
