/******************************************************************************

  Typing Trainer

  tpgt

  Copyright (C) 2004-2007 Sallai Andras
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  
*******************************************************************************/

#include <ncursesw/ncurses.h>
#include <stdlib.h> /* getenv(); exit() */

#include "menus.h"
#include "options.h"
#include "gettext.h"
#include "checkrc.h"


void language(void)
{
    int elected;
    struct mcolor_s bcolor = {COLOR_WHITE, COLOR_BLUE, COLOR_BLACK, COLOR_WHITE};
    int x = 28;
    int y = 8;
    char *menuitem[5];
    int i, begin=0, vege = 0, menunum = 2;

    
    initscr();
    
    for (i = 0; i < menunum; i++)
	menuitem[i] = (char *) calloc(40, sizeof(char));

    strcpy(menuitem[0], _(" English "));
    strcpy(menuitem[1], _(" Hungarian "));
    menuitem[2] = NULL;
    

    while(!vege)
    {
        clear();
	refresh();
    
	elected = menu_s(menuitem, x, y, begin, 1, bcolor, COLOR_WHITE);

	begin = elected;

	switch (elected)
	{
	    case 1 : 
		    overwrite_tpgtrc("en");
		    vege = 1;
		   break;
	    case 2 :
		    overwrite_tpgtrc("hu");
		    vege = 1;
		   break;
	    default : vege = 1;
	} /* switch */

    }/* while(1) */
    endwin();


}

void envir(void)
{
    initscr();
    clear();
    refresh();
    addstr("Envir shadow function\n");
    addstr("Not implemented yet\n");
    addstr("Press any key to continue...\n");
    getch();
    endwin();

}



void options(void)
{
    int elected;
    struct mcolor_s bcolor = {COLOR_WHITE, COLOR_BLUE, COLOR_BLACK, COLOR_WHITE};
    int x = 28;
    int y = 8;
    char *menuitem[5];
    int i, begin=0, vege = 0, menunum = 3;
    
    for (i = 0; i < menunum; i++)
	menuitem[i] = (char *) calloc(40, sizeof(char));

    strcpy(menuitem[0], _(" Layout "));
    strcpy(menuitem[1], _(" Environment "));
    strcpy(menuitem[2], _(" Main menu "));
    menuitem[3] = NULL;

    initscr();

    while(!vege)
    {
        clear();
	refresh();
    
	elected = menu_s(menuitem, x, y, begin, 1, bcolor, COLOR_WHITE);

	begin = elected;

	switch (elected)
	{
	    case 1 : language();
		   break;
	    case 2 : envir();
		   break;
	    default : vege = 1;
	} /* switch */

    }/* while(1) */
    endwin();
}


